var system = require("../../../system")
const CtlBase = require("../../ctl.base");
//招聘需求
class RecruitCtl extends CtlBase {
    constructor() {
        super("all", CtlBase.getServiceName(RecruitCtl));
    }

    async allList(qobj){
        var params = qobj || {};
        this.doTimeCondition(params, ["signBegin", "signEnd"]);
        try {
            var page = await this.service.signPage(params);
            return system.getResult2(page);
        } catch (e) {
            console.log(e);
            return system.getErrResult2("您的网络不稳, 请稍后重试");
        }
    }

}

module.exports = RecruitCtl;